# jmenné skupiny

# TODO: rozlišovat mezi „preterminálními“ NP a takovými, které už třeba
#       obsahují ukazovací zájmeno, aby se jich nedalo vložit víc (restriktivní
#       gramatika)
nominals = [
    # TODO: nedokonalá predikce (musí kontrolovat atributy)
    # '(NP c=4) → (k=1 c=4)',

    # pro zajímavost klidně zkopírovat i k=1 jako slovní zařazení hlavy
    # TODO: lepší je přímo v pravidlech označovat hlavu, jak jsem už chtěl
    '(NP g n c) → (k=1 g n c)',

    '(NP g n c) → (k=2 g n c) (NP g n c)',

    # dvě možnosti – ale omezit rekurzi…
    '(NP g n c) → (k=4 g n c) (NP g n c)',

    # pozor, „to“ má myslím menší požadavky na vztažnou větu (na rozdíl od
    # „ten“, „ta“ atd.
    '(NP g n c) → (k=3 g n c lemma="ten|všechen")',

    # TODO: a co pád toho „který“?
    '(NP g n c z) → (NP g n c z) (ATTR_CLAUSE g n)',

    # On je pytel blech.
    '(NP g n c) → (k=3 lemma=on g n c)',  # on/ona/ono – ale pozor, ?blbý on
    '(NP g n c) → (NP g n c) (NP c=2)',  # pytel blech

    # Mařenka s Jeníčkem (si pěkně hráli)
    '(NP g n c) → (NP g n c) (word=s) (NP c=7)',

    # Utkání ve skupinách (mají tyto další termíny)
    '(NP g n c) → (NP g n c) (PP)',

    # rok 1994
    '(NP g n c) → (lemma=rok g n c) (k=4)',

    # 117 milionů
    '(NP) → (k=4) (NP c=2)',
    '(NP) → (k=4)',

    # (strašně) hladoví
    '(ADJP g n c) → (k=2 g n c)',
    '(ADJP g n c) → (k=6) (ADJP g n c)',

    # i/nejen potřebné informace
    '(NP g n c) → (word="i|nejen") (NP g n c)',

    # tento (a ostatní ukazovací zájmena) úřad
    '(NP g n c) → (k=3 x=D g n c) (NP g n c)',
]

rules = nominals
